#include<stdio.h>
main()
{
    int A,B,C,Z;
    scanf("%d%d",&B,&C);
    if (B>=0)
        if (C<=500)
            if(B>C)
                Z=B;
            else
                Z=C;
    A=256-Z; 
    printf("A=%d",A);    
}